## keynav 0.20080509

=== Makefile ===
CFLAGS=`pkg-config --cflags x11 xtst 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include`
LDFLAGS=`pkg-config --libs x11 xtst 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst` 

#CFLAGS+=-g
OTHERFILES=README CHANGELIST COPYRIGHT \
           keynavrc Makefile

all: keynav

clean:
	rm *.o || true;
	make -C xdotool clean || true

keynav: xdo.o keynav.o
	gcc $(LDFLAGS) xdo.o keynav.o -o $@

xdo.o:
	make -C xdotool xdo.o
	cp xdotool/xdo.o .

package: clean
	NAME=keynav-`date +%Y%m%d`; \
	mkdir $${NAME}; \
	rsync --exclude '.*' -av *.c $(OTHERFILES) xdotool $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -rf $${NAME}/

=== xdotool/Makefile ===
CFLAGS+= -std=c99 -pedantic -Wall -W -Wno-missing-field-initializers -Wundef -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wdisabled-optimization -O2 -pipe

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

LIBS=`pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)"`
INC=`pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)"`

CFLAGS+=$(INC)
LDFLAGS+=$(LIBS)

all: xdotool

clean:
	rm -f *.o || true

xdo.o: xdo.c
	gcc $(CFLAGS) -c xdo.c

xdotool.o: xdotool.c
	gcc $(CFLAGS) -c xdotool.c

xdo.c: xdo.h
xdotool.c: xdo.h

xdotool: xdotool.o xdo.o
	gcc $(CFLAGS) $(LDFLAGS) xdotool.o xdo.o -o $@

package: test-package-build create-package

create-package:
	@NAME=xdotool-`date +%Y%m%d`; \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude .svn -a `ls -d *.c *.h examples t CHANGELIST README Makefile* 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -rf $${NAME}/

# Make sure the package we're building compiles.
test-package-build: create-package
	@NAME=xdotool-`date +%Y%m%d`; \
	echo "Testing package $$NAME"; \
	tar -zxf $${NAME}.tar.gz; \
	make -C $${NAME} xdotool; \
	rm -rf $${NAME}/
	rm -f $${NAME}.tar.gz

## keynav 0.20080614.01

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #CFLAGS+=-g
 OTHERFILES=README CHANGELIST COPYRIGHT \
            keynavrc Makefile
+
+MICROVERSION?=00
 
 all: keynav
 
@@ -19,7 +21,7 @@
 	cp xdotool/xdo.o .
 
 package: clean
-	NAME=keynav-`date +%Y%m%d`; \
+	NAME=keynav-`date +%Y%m%d`.$(MICROVERSION); \
 	mkdir $${NAME}; \
 	rsync --exclude '.*' -av *.c $(OTHERFILES) xdotool $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \

## keynav 0.20100403.2754

=== Makefile ===
CFLAGS+= $(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
LDFLAGS+= $(shell pkg-config --libs cairo-xlib xinerama glib-2.0 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lXext -lglib)
LDFLAGS+=$(shell pkg-config --libs glib-2.0)

OTHERFILES=README CHANGELIST COPYRIGHT \
           keynavrc Makefile version.sh VERSION
#CFLAGS+=-DPROFILE_THINGS
#LDFLAGS+=-lrt

VERSION=$(shell sh version.sh)

#LDFLAGS+=-L/usr/lib/debug/usr/lib/ -lcairo -lX11 -lXinerama -LXtst -lXext
CFLAGS+=-pg -g
LDFLAGS+=-pg -g
#CFLAGS+=-O2

#CFLAGS+=-DPROFILE_THINGS
#LDFLAGS+=-lrt

.PHONY: all

all: keynav

clean:
	rm *.o keynav || true;
	$(MAKE) -C xdotool clean || true

keynav.o: keynav_version.h
keynav_version.h: version.sh

# We'll try to detect 'libxdo' and use it if we find it.
# otherwise, build monolithic.
keynav: keynav.o
	@set -x; \
	if $(LD) -o /dev/null -lxdo > /dev/null 2>&1 ; then \
		$(CC) keynav.o -o $@ $(LDFLAGS) -lxdo; \
	else \
		$(MAKE) keynav.static; \
	fi

.PHONY: keynav.static
keynav.static: keynav.o xdo.o
	$(CC) xdo.o keynav.o -o keynav `pkg-config --libs xext xtst` $(LDFLAGS)

keynav_version.h:
	sh version.sh --header > $@

VERSION:
	sh version.sh --shell > $@


xdo.o:
	$(MAKE) -C xdotool xdo.o
	cp xdotool/xdo.o .

pre-create-package:
	rm -f keynav_version.h VERSION
	$(MAKE) VERSION keynav_version.h

create-package: clean pre-create-package keynav_version.h
	NAME=keynav-$(VERSION); \
	mkdir $${NAME}; \
	rsync --exclude '.*' -av *.c $(OTHERFILES) xdotool $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -rf $${NAME}/

package: create-package test-package-build

test-package-build: create-package
	@NAME=keynav-$(VERSION); \
	tmp=$$(mktemp -d); \
	echo "Testing package $$NAME"; \
	tar -C $${tmp} -zxf $${NAME}.tar.gz; \
	make -C $${tmp}/$${NAME} keynav; \
	(cd $${tmp}/$${NAME}; ./keynav version); \
	rm -rf $${NAME}/
	rm -f $${NAME}.tar.gz

=== xdotool/Makefile ===
DESTDIR?=
PREFIX?=/usr/local
INSTALLBIN?=$(PREFIX)/bin
INSTALLLIB?=$(PREFIX)/lib
INSTALLMAN?=$(PREFIX)/man
INSTALLINCLUDE?=$(PREFIX)/include

DPREFIX=$(DESTDIR)$(PREFIX)
DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
DINSTALLLIB=$(DESTDIR)$(INSTALLLIB)
DINSTALLMAN=$(DESTDIR)$(INSTALLMAN)
DINSTALLINCLUDE=$(DESTDIR)$(INSTALLINCLUDE)

MAJOR=$(shell sh version.sh --major)
VERSION=$(shell sh version.sh)

WARNFLAGS+=-pedantic -Wall -W -Wundef \
           -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
           -Wmissing-prototypes -Wnested-externs -Winline \
           -Wdisabled-optimization -Wno-missing-field-initializers

CFLAGS?=-pipe $(WARNFLAGS)

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

LIBS=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")

CFLAGS+=-std=c99 $(INC)

all: xdotool xdotool.1 libxdo.so libxdo.so.$(MAJOR)

install: pre-install installlib installprog installman installheader

pre-install:
	install -d $(DPREFIX)

installprog: xdotool
	install -d $(DINSTALLBIN)
	install -m 755 xdotool $(DINSTALLBIN)/

installlib: libxdo.so
	install -d $(DINSTALLLIB)
	install libxdo.so $(DINSTALLLIB)/libxdo.so.$(MAJOR)
	ln -sf libxdo.so.$(MAJOR) $(DINSTALLLIB)/libxdo.so

installheader: xdo.h
	install -d $(DINSTALLINCLUDE)
	install xdo.h $(DINSTALLINCLUDE)/xdo.h

installman: xdotool.1
	install -d $(DINSTALLMAN)/man1
	install -m 644 xdotool.1 $(DINSTALLMAN)/man1/

deinstall: uninstall
uninstall: 
	rm -f $(DINSTALLBIN)/xdotool
	rm -f $(DINSTALLMAN)/xdotool.1
	rm -f $(DINSTALLLIB)/libxdo.so
	rm -f $(DINSTALLLIB)/libxdo.so.$(MAJOR)

clean:
	rm -f *.o xdotool xdotool.1 libxdo.so libxdo.so.? || true

xdo.o: xdo.c xdo_version.h
	$(CC) $(CFLAGS) -fPIC -c xdo.c

xdo_search.o: xdo_search.c
	$(CC) $(CFLAGS) -fPIC -c xdo_search.c

xdotool.o: xdotool.c xdo_version.h
	$(CC) $(CFLAGS) -c xdotool.c

xdo_search.c: xdo.h
xdo.c: xdo.h
xdotool.c: xdo.h

libxdo.so: xdo.o xdo_search.o
	$(CC) $(LDFLAGS) -shared -Wl,-soname=libxdo.so.$(MAJOR) xdo.o xdo_search.o -o $@ $(LIBS)

libxdo.so.$(MAJOR): libxdo.so
	ln -s $< $@

xdotool: xdotool.o libxdo.so 
	$(CC) -o $@ xdotool.o -L. -lxdo $(LDFLAGS) 

xdotool.1: xdotool.pod
	pod2man -c "" -r "" xdotool.pod > $@

package: test-package-build create-package

test: xdotool libxdo.so.$(MAJOR)
	$(MAKE) -C t

xdo_version.h:
	sh version.sh --header > $@

VERSION:
	sh version.sh --shell > $@

pre-create-package:
	rm -f VERSION xdo_version.h

create-package: pre-create-package VERSION xdo_version.h
	@NAME=xdotool-$(VERSION); \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude .svn -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh VERSION 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -r $${NAME}
	rm VERSION

# Make sure the package we're building compiles.
test-package-build: create-package
	@NAME=xdotool-$(VERSION) && \
	echo "Testing package $$NAME" && \
	tar -zxf $${NAME}.tar.gz && \
	make -C $${NAME} test && \
	echo "Package ready: $${NAME}"; \
	rm -rf $${NAME}

=== xdotool/t/Makefile ===

all-headless: test-xvfb test-xvfb-openbox test-xvfb-gnome
all-xephyr: test-xephyr test-xephyr-openbox test-xephyr-gnome
all: all-headless all-xephyr 

test:
	./run.sh

test-xephyr:
	QUIET=1 XSERVER="Xephyr -ac -screen 1280x768x24" TEST_DISPLAY=:5 $(MAKE) test

test-xvfb:
	QUIET=1 XSERVER="Xvfb -ac -screen 0 1280x768x24" TEST_DISPLAY=:5 $(MAKE) test

test-xvfb-openbox:
	WM=openbox-session $(MAKE) test-xvfb

test-xephyr-openbox:
	WM=openbox-session $(MAKE) test-xephyr

test-xvfb-gnome:
	WM=gnome-session $(MAKE) test-xvfb

test-xephyr-gnome:
	WM=gnome-session $(MAKE) test-xephyr

=== debian/changelog ===
keynav (0.20100403.2754-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch (Closes: #572510)
    Thanks to Daniel Kahn Gillmor
  * debian/control
    - versioned Build-Depends: libxdo-dev (>= 1.20100227.2679) for libxdo.so.1,
      fix FTBFS on Sid (Closes: 573669)
    - bump Build-Depends: debhelper (>= 7.0.50)
    - new Build-Depends: libglib2.0-dev, libcairo2-dev
    - change Priority to extra because keynav depends on libxdo1, which is extra
    - bump Standards-Versions to 3.8.4
  * debian/rules
    - use dh helper
    - dh_clean keynav_version.h to prevent unneeded auto-generated patches
  * debian/patches:
    - add do_not_compile_with_profiling.diff to make lintian quiet
    - drop remove_uselessly_linked_xtst.diff
  * debian/copyright:
    - update format to DEP 5, revsion 135
  * Do not install /etc/keynavrc
    - add debian/preinst to handle old conffile
  * Add debian/clean
  * Add debian/manpages

 -- Wen-Yen Chuang <caleb@calno.com>  Wed, 14 Apr 2010 09:28:10 +0800

keynav (0.20091231.04-1) unstable; urgency=low

  * New upstream release
    - fix FTBFS with binutils-gold (Closes: #554984)
  * debian/control:
    - add new Build-Depends: libxinerama-dev, libxdo-dev (Closes: #560103)
    - drop Build-Depends: libxtst-dev
  * debian/patches:
    - add remove_uselessly_linked_xtst.diff
  * debian/rules:
    - remove a.out in clean target
  * debian/install:
    - install global conffile (/etc/keynavrc)
  * Switch to 3.0 (quilt) source format
  * Update debian/copyright
  * Bump Standards-Versions to 3.8.3

 -- Wen-Yen Chuang <caleb@calno.com>  Thu,  7 Jan 2010 07:13:58 +0800

keynav (0.20080614.01-1) unstable; urgency=low

  * New upstream release (Closes: #487024)
  * Update manpage (Closes: #487023)
  * Update debian/copyright
  * Update debian/watch
  * Fix lintian warning: "W: keynav: debian-copyright-line-too-long line 30"
  * Bump Standards-Versions to 3.8.1
    - replace obsolete "dh_clean -k" with "dh_prep"

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 14 Apr 2009 14:36:51 +0800

keynav (0.20080509-1) unstable; urgency=low

  * New upstream release
  * Replace rm with dh_clean in debian/rules

 -- Wen-Yen Chuang <caleb@calno.com>  Thu, 15 May 2008 09:36:48 +0800

keynav (0.20071031-1) unstable; urgency=low

  * Initial release (Closes: #431634)

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 26 Apr 2008 20:43:06 +0800

=== debian/control ===
Source: keynav
Section: utils
Priority: extra
Maintainer: Wen-Yen Chuang <caleb@calno.com>
Homepage: http://www.semicomplete.com/projects/keynav/
Build-Depends: debhelper (>= 7.0.50), libxinerama-dev, libxdo-dev (>= 1.20100227.2679), libglib2.0-dev, libcairo2-dev
Standards-Version: 3.8.4

Package: keynav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a keyboard-driven mouse cursor mover
 Keynav makes your keyboard a fast mouse cursor mover. You can move the cursor
 to any point on the screen with a few key strokes. It also simulates
 mouse click. You can do everything mouse can do with a keyboard.

=== debian/watch ===
version=3
http://code.google.com/p/semicomplete/downloads/list http://semicomplete.googlecode.com/files/keynav-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz

## keynav 0.20100623.2958

=== Makefile ===
--- 
+++ 
@@ -22,36 +22,19 @@
 all: keynav
 
 clean:
-	rm *.o keynav || true;
-	$(MAKE) -C xdotool clean || true
+	rm *.o keynav keynav-version.h || true;
 
 keynav.o: keynav_version.h
 keynav_version.h: version.sh
 
-# We'll try to detect 'libxdo' and use it if we find it.
-# otherwise, build monolithic.
 keynav: keynav.o
-	@set -x; \
-	if $(LD) -o /dev/null -lxdo > /dev/null 2>&1 ; then \
-		$(CC) keynav.o -o $@ $(LDFLAGS) -lxdo; \
-	else \
-		$(MAKE) keynav.static; \
-	fi
-
-.PHONY: keynav.static
-keynav.static: keynav.o xdo.o
-	$(CC) xdo.o keynav.o -o keynav `pkg-config --libs xext xtst` $(LDFLAGS)
+	$(CC) keynav.o -o $@ $(LDFLAGS) -lxdo; \
 
 keynav_version.h:
 	sh version.sh --header > $@
 
 VERSION:
 	sh version.sh --shell > $@
-
-
-xdo.o:
-	$(MAKE) -C xdotool xdo.o
-	cp xdotool/xdo.o .
 
 pre-create-package:
 	rm -f keynav_version.h VERSION
@@ -60,7 +43,7 @@
 create-package: clean pre-create-package keynav_version.h
 	NAME=keynav-$(VERSION); \
 	mkdir $${NAME}; \
-	rsync --exclude '.*' -av *.c $(OTHERFILES) xdotool $${NAME}/; \
+	rsync --exclude '.*' -av *.c $(OTHERFILES) $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -rf $${NAME}/

=== debian/changelog ===
keynav (0.20100623.2958-2) unstable; urgency=low

  [Wen-Yen Chuang]
  * Add epoch for Build-Depends: libxdo-dev (Closes: #590011)
    Thanks to Axel Beckert
  * Add debian/clean
    - remove keynav_version.h to prevent auto-generated patches when
      two builds in a row
    - remove debian/patches/debian-changes-0.20100623.2958-1

  [Axel Beckert]
  * Adopt the package. Thanks for your work, Wen-Yen! (Closes: #589944)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Added Vcs-* headers

 -- Axel Beckert <abe@debian.org>  Fri, 06 Aug 2010 14:59:44 +0200

keynav (0.20100623.2958-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Build-Depends: libxdo-dev (>= 2.20100524.2888) for libxdo.so.2
    - bump Standards-Versions to 3.9.0
  * Update debian/watch
  * Update debian/copyright
  * Remove debian/clean, fixed upstream

 -- Wen-Yen Chuang <caleb@calno.com>  Fri, 16 Jul 2010 23:50:12 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: keynav
 Section: utils
 Priority: extra
-Maintainer: Wen-Yen Chuang <caleb@calno.com>
+Maintainer: Axel Beckert <abe@debian.org>
 Homepage: http://www.semicomplete.com/projects/keynav/
-Build-Depends: debhelper (>= 7.0.50), libxinerama-dev, libxdo-dev (>= 1.20100227.2679), libglib2.0-dev, libcairo2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), libxinerama-dev, libxdo-dev (>= 1:2.20100524.2888), libglib2.0-dev, libcairo2-dev
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/collab-maint/keynav.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/keynav.git
 
 Package: keynav
 Architecture: any

## keynav 0.20101224.3183

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CFLAGS+= $(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
-LDFLAGS+= $(shell pkg-config --libs cairo-xlib xinerama glib-2.0 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lXext -lglib)
+CFLAGS+=$(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
+LDFLAGS+=$(shell pkg-config --libs cairo-xlib xinerama glib-2.0 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lXext -lglib)
 LDFLAGS+=$(shell pkg-config --libs glib-2.0)
 
 OTHERFILES=README CHANGELIST COPYRIGHT \
@@ -9,9 +9,9 @@
 
 VERSION=$(shell sh version.sh)
 
+#CFLAGS+=-pg -g
+#LDFLAGS+=-pg -g
 #LDFLAGS+=-L/usr/lib/debug/usr/lib/ -lcairo -lX11 -lXinerama -LXtst -lXext
-CFLAGS+=-pg -g
-LDFLAGS+=-pg -g
 #CFLAGS+=-O2
 
 #CFLAGS+=-DPROFILE_THINGS
@@ -59,3 +59,5 @@
 	rm -rf $${NAME}/
 	rm -f $${NAME}.tar.gz
 
+keynav.1: keynav.pod
+	pod2man -c "" -r "" $< > $@

=== debian/changelog ===
keynav (0.20101224.3183-2) unstable; urgency=low

  * debian/patches/FTBFS-libXext-618072: Fixes FTBFS (Closes: #618072)
  * Fix lintian warning description-synopsis-starts-with-article

 -- Axel Beckert <abe@debian.org>  Sun, 13 Mar 2011 20:16:37 +0100

keynav (0.20101224.3183-1) unstable; urgency=low

  * New upstream bugfix release
    - No more builds with profiling support by default, therefore
      debian/patches/do_not_compile_with_profiling.diff has been removed.
  * Upload to unstable again since the release freeze for squeeze is over.

 -- Axel Beckert <abe@debian.org>  Sat, 12 Feb 2011 04:42:50 +0100

keynav (0.20101014.3067-1) experimental; urgency=low

  * New upstream version: 1 bugfix, 2 new commands (not yet documented in
    the man page, see /usr/share/doc/keynav/changelog.gz instead), 1 new
    default key binding.

 -- Axel Beckert <abe@debian.org>  Wed, 20 Oct 2010 14:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: keynav
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a keyboard-driven mouse cursor mover
+Description: keyboard-driven mouse cursor mover
  Keynav makes your keyboard a fast mouse cursor mover. You can move the cursor
  to any point on the screen with a few key strokes. It also simulates
  mouse click. You can do everything mouse can do with a keyboard.

## keynav 0.20110708.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CFLAGS+=$(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
-LDFLAGS+=$(shell pkg-config --libs cairo-xlib xinerama glib-2.0 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lXext -lglib)
+CFLAGS+=$(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 xext x11 xtst 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
+LDFLAGS+=$(shell pkg-config --libs cairo-xlib xinerama glib-2.0 xext x11 xtst 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lXext -lglib)
 LDFLAGS+=$(shell pkg-config --libs glib-2.0)
 
 OTHERFILES=README CHANGELIST COPYRIGHT \
@@ -22,7 +22,7 @@
 all: keynav
 
 clean:
-	rm *.o keynav keynav-version.h || true;
+	rm *.o keynav keynav_version.h || true;
 
 keynav.o: keynav_version.h
 keynav_version.h: version.sh

=== debian/changelog ===
keynav (0.20110708.0-3) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed).
  * debian/copyright:
    + The license is actually the «BSD 3-clause "New" or "Revised"
      License», declare it as such.
    + Mark all files in the upstream tar ball as having this license, not
      just the C source code. Fixes the lintian warning
      file-without-copyright-information.
  * Add Github repository URL to debian/watch and debian/copyright as
    additional sources.

 -- Axel Beckert <abe@debian.org>  Wed, 17 Jun 2015 21:11:24 +0200

keynav (0.20110708.0-2) unstable; urgency=low

  * Add patch by Adam Conrad to follow API changes in libxdo version 3.
    - Fixes FTBFS with libxdo version 3. (Closes: #707313)
    - Bump build dependency on libxdo-dev to >= 1:3
  * Add patch to properly pass dpkg build flags.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fixes the following lintian warnings:
    - vcs-field-not-canonical
    - out-of-date-copyright-format-uri
  * Update copyright information in debian/copyright (years, packaging)

 -- Axel Beckert <abe@debian.org>  Sun, 12 May 2013 00:47:08 +0200

keynav (0.20110708.0-1) unstable; urgency=low

  * New upstream release
    - Works around GNOME 3 issues
    - Remove debian/patches/FTBFS-libXext-618072 (issue fixed upstream)
    - Add debian/patches/remove-unnecessarily-linking-libxtst.diff
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Fri, 05 Aug 2011 21:11:02 +0200

=== debian/control ===
Source: keynav
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Homepage: http://www.semicomplete.com/projects/keynav/
Build-Depends: debhelper (>= 7.0.50),
               libcairo2-dev,
               libglib2.0-dev,
               libxdo-dev (>= 1:3),
               libxinerama-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/keynav.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/keynav.git

Package: keynav
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: keyboard-driven mouse cursor mover
 Keynav makes your keyboard a fast mouse cursor mover. You can move the cursor
 to any point on the screen with a few key strokes. It also simulates
 mouse click. You can do everything mouse can do with a keyboard.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(keynav-([\d.]+)\.tar\.gz).*#http://semicomplete.googlecode.com/files/$1#,filenamemangle=s#.*(keynav-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz).*#$1# \
     http://code.google.com/p/semicomplete/downloads/list ^.*detail\?name=keynav-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz.*
opts=downloadurlmangle=s|.*[?]name=(.*?)&.*|http://semicomplete.googlecode.com/files/$1|,filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
     http://code.google.com/p/semicomplete/downloads/detail[?]name=keynav-([0-9]+\.[0-9]{8}\.[0-9]+).tar.gz&.*
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/jordansissel/keynav/releases (?:.*/)?keynav[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## keynav 0.20180421~git6505bd0d

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 keynav.o: keynav_version.h
 keynav_version.h: version.sh
 
+keynav: LDFLAGS+=-Xlinker -rpath=/usr/local/lib
 keynav: keynav.o
 	$(CC) keynav.o -o $@ $(LDFLAGS) -lxdo; \

=== debian/changelog ===
keynav (0.20180421~git6505bd0d-3) unstable; urgency=medium

  * Add Bug-Submit field to debian/upstream/metadata.
  * Drop debian/source/options with compression-level=9. Thanks Lintian!
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Add a debian/.gitignore file to ignore package build artefacts.

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2021 23:52:32 +0100

keynav (0.20180421~git6505bd0d-2) unstable; urgency=low

  * Make snapshot-based packages reproducible again by patching version.sh
    to use Debian's upstream version number in such cases.

 -- Axel Beckert <abe@debian.org>  Wed, 15 Aug 2018 02:16:25 +0200

keynav (0.20180421~git6505bd0d-1) unstable; urgency=low

  * Import new upstream snapshot from 21-Apr-2018 at commit 6505bd0d.
    + Drop patch port-to-libxdo3.diff, applied upstream.
    + Add patch to revert upstream commit cb78c58e ("hack in
      /usr/local/lib to run path"), which caused the lintian error-level
      warning "binary-or-shlib-defines-rpath".
    + Replace debian/keynav.1 with upstream man page generated from
      keynav.pod. (Closes: #580892) Add perl as b-d for pod2man.
    + Add keynav.1 to debian/clean.
  * Update Vcs-* headers for move to Salsa.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Declare compliance with Debian Policy 4.2.0.
    + Change Priority from extra to optional.
    + Update DEP5 format URL in debian/copyright to HTTPS.
  * Set "Rules-Requires-Root: no".
  * Add patch by Milan Zamazal to support the Hyper modifier.
    (Closes: #796248)
  * Patch upstream POD to reflect different activation combinations on
    some keyboard layouts. (Closes: #710765)
  * Add a DEP12 debian/upstream/metadata file.
  * Install upstream's example configurations.
  * Update copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Sat, 11 Aug 2018 21:58:30 +0200

keynav (0.20110708.0-4) unstable; urgency=medium

  * Switch Homepage and Vcs-* headers to https:// and cgit web interface.
  * Remove obsolete code.google.com URLs from debian/{copyright,watch}.
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable all hardening build flags.

 -- Axel Beckert <abe@debian.org>  Sun, 18 Sep 2016 03:35:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_installman:
	$(MAKE) keynav.1
	dh_installman

=== debian/watch ===
version=4
https://www.semicomplete.com/projects/keynav/ (?:.*/)?keynav[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
